name: Build And Deploy
run-name: ${{ github.actor }} is upgrade release 🚀
on: [push]
jobs:
  Build-Deploy-Actions:
    runs-on: ubuntu-latest
    steps:
      - run: echo "🎉 The job was automatically triggered by a ${{ github.event_name }} event."
      - run: echo "🐧 This job is now running on a ${{ runner.os }} server hosted by Gitea!"
      - run: echo "🔎 The name of your branch is ${{ github.ref }} and your repository is ${{ github.repository }}."
      - name: Check out repository code
        uses: actions/checkout@v3
      - run: echo "💡 The ${{ github.repository }} repository has been cloned to the runner."
      - run: echo "🖥️ The workflow is now ready to test your code on the runner."
      - name: List files in the repository
        run: |
                    ls ${{ github.workspace }}
      -
        name: Login to Docker Hub
        uses: docker/login-action@v2
        with:
          registry: artifacts.iflytek.com
          username: ${{ secrets.DOCKERHUB_USERNAME }}
          password: ${{ secrets.DOCKERHUB_TOKEN }}
      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v2
      -
        name: Build and push
        run: |
          docker version
          docker buildx build -t artifacts.iflytek.com/docker-private/atp/whybeyoung/yolov5:latest . --file ${{ github.workspace }}/Dockerfile --load
          docker push artifacts.iflytek.com/docker-private/atp/whybeyoung/yolov5:latest
          docker rmi artifacts.iflytek.com/docker-private/atp/whybeyoung/yolov5:latest          
      - run: echo "🍏 This job's status is ${{ job.status }}."
